package cc.fascinated.model.score;

import cc.fascinated.model.leaderboard.Leaderboard;
import cc.fascinated.model.user.ScoreSaberAccount;
import cc.fascinated.model.user.User;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Date;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
public class ScoreResponse {
    /**
     * The ID of the score.
     */
    private String scoreId;

    /**
     * The PP of the score.
     */
    private Double pp;

    /**
     * The rank of the score.
     */
    private Long rank;

    /**
     * The base score of the score.
     */
    private Long score;

    /**
     * The modified score of the score.
     */
    private Long modifiedScore;

    /**
     * The weight of the score.
     */
    private Double weight;

    /**
     * The modifiers of the score.
     */
    private String modifiers;

    /**
     * The multiplier of the score.
     */
    private double multiplier;

    /**
     * The number of misses in the score.
     */
    private Long missedNotes;

    /**
     * The number of bad cuts in the score.
     */
    private Long badCuts;

    /**
     * The highest combo in the score.
     */
    private Long maxCombo;

    /**
     * The accuracy of the score.
     */
    private Double accuracy;

    /**
     * The user who set the score.
     */
    private User user;

    /**
     * The ID of the leaderboard.
     */
    private Leaderboard leaderboard;

    /**
     * The timestamp of the score.
     */
    private Date timestamp;
}
